fn main() {
    // ANCHOR: here
    use std::collections::HashMap;

    let field_name = String::from("Ulubiony kolor");
    let field_value = String::from("Niebieski");

    let mut map = HashMap::new();
    map.insert(field_name, field_value);
    // W tym momencie zmienne field_name i field_value są nieprawidłowe
    // Spróbuj ich użyć i zobaczyć, jaki błąd kompilatora otrzymasz!
    // ANCHOR_END: here
}
